aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts/TouchPad.sh
diff options
context:
space:
mode:
authorJa.KooLit <85185940+JaKooLit@users.noreply.github.com>2024-06-11 04:15:57 +0900
committerGitHub <noreply@github.com>2024-06-11 04:15:57 +0900
commit22b85572e891b874011893f62d4eaf94f20486df (patch)
tree3452d4164a8964cd85fe57de2bd128baeb0ee2ff /config/hypr/scripts/TouchPad.sh
parentc4ee8142bf7e8d89602cb7712da10888a54d438b (diff)
parented21639feebd8e3b6a6a4c2a59686f777b9688b9 (diff)
Merge pull request #338 from JaKooLit/development
Development to Main including pre-release
Diffstat (limited to 'config/hypr/scripts/TouchPad.sh')
-rwxr-xr-xconfig/hypr/scripts/TouchPad.sh37
1 files changed, 21 insertions, 16 deletions
diff --git a/config/hypr/scripts/TouchPad.sh b/config/hypr/scripts/TouchPad.sh
index e94ee068..228e4ca2 100755
--- a/config/hypr/scripts/TouchPad.sh
+++ b/config/hypr/scripts/TouchPad.sh
@@ -1,27 +1,32 @@
#!/bin/bash
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
# For disabling touchpad.
-# Edit the Touchpad_Device according to your system
+# Edit the Touchpad_Device on ~/.config/hypr/UserConfigs/Laptops.conf according to your system
# use hyprctl devices to get your system touchpad device name
+# source https://github.com/hyprwm/Hyprland/discussions/4283?sort=new#discussioncomment-8648109
-
-Touchpad_Device="asue1209:00-04f3:319f-touchpad"
notif="$HOME/.config/swaync/images/bell.png"
-XDG_RUNTIME_DIR=${XDG_RUNTIME_DIR:-/run/user/$(id -u)}
-STATUS_FILE="$XDG_RUNTIME_DIR/touchpad.status"
+export STATUS_FILE="$XDG_RUNTIME_DIR/touchpad.status"
-toggle_touchpad() {
- if [ ! -f "$STATUS_FILE" ] || [ "$(cat "$STATUS_FILE")" = "false" ]; then
- echo "true" > "$STATUS_FILE"
- action="enabled"
- else
- echo "false" > "$STATUS_FILE"
- action="disabled"
- fi
+enable_touchpad() {
+ printf "true" >"$STATUS_FILE"
+ notify-send -u low -i $notif "Enabling touchpad"
+ hyprctl keyword '$TOUCHPAD_ENABLED' "true" -r
+}
- notify-send -u low -i "$notif" "Touchpad $action"
- hyprctl keyword "device[$Touchpad_Device]:enabled" "$(cat "$STATUS_FILE")"
+disable_touchpad() {
+ printf "false" >"$STATUS_FILE"
+ notify-send -u low -i $notif "Disabling touchpad"
+ hyprctl keyword '$TOUCHPAD_ENABLED' "false" -r
}
-toggle_touchpad
+if ! [ -f "$STATUS_FILE" ]; then
+ enable_touchpad
+else
+ if [ $(cat "$STATUS_FILE") = "true" ]; then
+ disable_touchpad
+ elif [ $(cat "$STATUS_FILE") = "false" ]; then
+ enable_touchpad
+ fi
+fi
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage